contains(1)

NAME
contains - test if a word is present in a list

  Synopsis
contains [OPTIONS] KEY [VALUES...]

  Description

•   -h or --help display this message

Test if the set VALUES contains the string KEY. Return status is 0 if yes, 1 otherwise

  Example

for i in ~/bin /usr/local/bin
	if not contains $i $PATH
		set PATH $PATH i
	end
end

The above code tests if ~/bin and /usr/local/bin are in the path and if they are not, they are added.